import type { Tab } from './tab_search.mojom-webui.js';
export interface Range {
    start: number;
    length: number;
}
export declare function highlightText(container: HTMLElement, text: string, ranges: Range[] | undefined): void;
export declare function tabHasMediaAlerts(tab: Tab): boolean;
